Jump to
Ctrl
+
/

Prepare A TRC-20 Token Transfer From Address Tron

POST
/prepare-transactions/evm/tron/{network}/trc20-tokens

Through this endpoint customers can prepare a TRC-20 token transaction from an address. The address doesn't have to belong to a wallet. The response returns the unsigned Tron transaction envelope (raw_data / raw_data_hex), the sighash to sign, and the estimated energy required for the contract call.


Currently we support fungible tokens (TRC-20) through this endpoint.

Path Parameters

network string Required

Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while network like "nile" is a test network.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
sender string Required

Represents the address which sends this transaction. In account-based protocols like Tron there is always only one sender.

recipient string Required

The address which receives this transaction. In account-based protocols like Tron there is always only one recipient.

contract string Required

Represents the TRC-20 token contract address the transfer is executed against.

amount string Required

Represents the amount to transfer, in human-readable units (whole TRX for native transfers, or whole tokens scaled by the token's decimals for TRC20). E.g. "1" = 1 TRX.

feeLimit integer Optional

Represents the maximum energy fee, in SUN, the sender is willing to spend on the smart-contract call. Optional; defaults to 150000000 SUN (150 TRX) when omitted.

Default : 150000000

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2024-12-12
requestId string Required

Defines the ID of the request. The requestId is generated by Crypto APIs and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
sender string Required

Represents the address which sends this transaction.

TBYNc3i5K8iSxFoUf2DphbApFv62kEHqvN
recipient string Required

The address which receives this transaction.

TBgjvX6BU6mPJ4Z9GRBE4NcXKXtpfM1KGW
amount string Required

Represents the transacted amount as encoded in the transaction, in the base unit (SUN for native; the token's smallest unit scaled by its decimals for TRC20). This is the request amount multiplied out, e.g. a request amount of "1" TRX returns "1000000".

1000000
rawDataHex string Required

String representation of the raw transaction data in hex format.

0a026afd2208da249f43f7eb1cc740c894b6c1f2335aae01081f12a9010a31747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e54726967676572536d617274436f6e747261637412740a1541113dde710a6e00c022d76601f56557c01880e30b121541a614f803b6fd780986a42c78ec9c7f77e6ded13c2244a9059cbb00000000000000000000000012d2fe0cb148de2d8330f857b608a310664b4dc400000000000000000000000000000000000000000000000000000000000f424070f690d898f233900180a3c347
transactionId string Required

Represents the transaction id (hash) of the prepared transaction.

4043bc60a8d79ff2eee22ddc40c05d9bf840ea7d6008b413539ed456134ec51d
inputData string Required

Representation of the contract call input data in hex value. For token transfers this is the encoded transfer/transferFrom call; for native transfers it is the optional additional data. Empty when there is no input data.

a9059cbb00000000000000000000000012d2fe0cb148de2d8330f857b608a310664b4dc400000000000000000000000000000000000000000000000000000000000f4240
energyUsed integer Required

Represents the estimated energy required for the smart-contract call.

138428

Credits Cost

Blockchain protocol Credits for 1 Results
Default Cost 120
Tron 120
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2024-12-12",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "sender": "TBYNc3i5K8iSxFoUf2DphbApFv62kEHqvN",
            "recipient": "TBgjvX6BU6mPJ4Z9GRBE4NcXKXtpfM1KGW",
            "amount": "1000000",
            "rawDataHex": "0a026afd2208da249f43f7eb1cc740c894b6c1f2335aae01081f12a9010a31747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e54726967676572536d617274436f6e747261637412740a1541113dde710a6e00c022d76601f56557c01880e30b121541a614f803b6fd780986a42c78ec9c7f77e6ded13c2244a9059cbb00000000000000000000000012d2fe0cb148de2d8330f857b608a310664b4dc400000000000000000000000000000000000000000000000000000000000f424070f690d898f233900180a3c347",
            "transactionId": "4043bc60a8d79ff2eee22ddc40c05d9bf840ea7d6008b413539ed456134ec51d",
            "inputData": "a9059cbb00000000000000000000000012d2fe0cb148de2d8330f857b608a310664b4dc400000000000000000000000000000000000000000000000000000000000f4240",
            "energyUsed": 138428
        }
    }
}